package api

import "net/http"
import "mysql"

func insert(w http.ResponseWriter, r *http.Request) {
	var bytes : []byte = []
	query := r.URL.Query();
	n, err := r.Body.Read(bytes)
	if (err != nil) {
		w.Header().Set("content-type", "application/json")
		w.Write([]byte(`{"error": "` + err.message() + `"}`))
		return
	}
	//serialize bytes to json
	//get property table, column, values
	//Insert(table, ,)
	w.Header().Set("content-type", "application/json")
	w.Write([]byte(`{"message": "hello world"}`))
}

func update(){

}

func delete() {

}

func read() {
	
}